REM
REM Description: This script adds estimates the compression
REM              ratios of the table CUSTOMERS in the
REM              example schema SH for the InMemory store.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
declare
        l_blkcnt_cmp PLS_INTEGER;
        l_blkcnt_uncmp PLS_INTEGER;
        l_row_cmp PLS_INTEGER;
        l_row_uncmp PLS_INTEGER;
        l_cmp_ratio PLS_INTEGER;
        l_comptype_str VARCHAR2(100);
        comp_ratio_allrows NUMBER := -1;
BEGIN
        dbms_compression.get_compression_ratio (
                ownname         => 'SH',
                objname         => 'CUSTOMERS',
                subobjname      => null,
                scratchtbsname  => 'USERS',
                comptype        =>
        dbms_compression.comp_inmemory_query_high,
                blkcnt_cmp      => l_blkcnt_cmp,
                blkcnt_uncmp    => l_blkcnt_uncmp,
                row_cmp         => l_row_cmp,
                row_uncmp       => l_row_uncmp,
                cmp_ratio       => l_cmp_ratio,
                comptype_str    => l_comptype_str,
                subset_numrows  =>
        dbms_compression.comp_ratio_allrows
        );
        dbms_output.Put_line('Comp Ratio='|| l_cmp_ratio);
END;
/
