REM
REM Description: This script shows the logical reads of
REM              various segments so that the ones with 
REM              highest reads can be loaded into InMemory
REM              store.
REM Author     : Arup Nanda, Oracle ACE Director
REM Date       : Oct 14, 2014
REM License    : Feel free to copy and distribute as long
REM              as the attribution to the author is
REM              maintained. No warranty is implied or 
REM              provided. Use at your own risk.
REM  
col object_name format a20
col subobject_name format a20
col value format 999,999,999
col owner format a15
select owner, object_name, subobject_name, value
from v$segment_statistics
where statistic_name = 'logical reads'
and value > 0
and owner not in ('SYS','SYSTEM')
order by 4 desc,1,2,3
/
